Merge lp:update-notifier into lp:~dennis/update-notifier/apt-proxies

Proposed by Dennis Kaarsemaker on 2014-05-03
Status: Superseded
Proposed branch: lp:update-notifier
Merge into: lp:~dennis/update-notifier/apt-proxies
Diff against target: 0 lines
To merge this branch: bzr merge lp:update-notifier
Reviewer Review Type Date Requested Status
Dennis Kaarsemaker Pending
Review via email: mp+218179@code.launchpad.net

Description of the change

Respect Acquire::http::proxy and friends

It's really annoying when apt-get works just fine, but the package-data-downloader fails because they look at different proxy settings.

To post a comment you must log in.
lp:update-notifier updated on 2018-07-02
847. By Martin Pitt on 2014-05-12

Bump version to become higher than the wrongly added transitional package
from gnome-packagekit.

848. By Martin Pitt on 2014-05-12

releasing package update-notifier version 3.155

849. By Michael Vogt on 2014-06-13

* lp:~mvo/update-notifier/use-apt-helper:
  - use the apt-helper binary to download external data. This ensures
    that the apt proxy settings are used and that the apt auto proxy
    discovery works. Thanks to Dennis Kaarsemaker!

850. By Brian Murray on 2014-10-04

debian/update-notifier-crash.conf: avoid race condition where the crash
report may not yet be writable when the inotify create event happens.

851. By Brian Murray on 2014-10-04

releasing package update-notifier version 3.157

852. By Brian Murray on 2014-12-10

debian/update-notifier-cds.conf: use the correct comparison operator for
checking the type of CD. (LP: #1400357)

853. By Brian Murray on 2014-12-10

releasing package update-notifier version 3.158

854. By Martin Pitt on 2015-01-16

Prepare for udev-bridge on the session bus. (LP: #1409129)

855. By Martin Pitt on 2015-01-16

releasing package update-notifier version 3.159

856. By Martin Pitt on 2015-01-20

./debian/update-notifier-cds.conf: Stop asking udisks 1 for the
mountpoint, just awk /proc/mounts for the mount point. (LP: #1411987)

857. By Martin Pitt on 2015-01-20

releasing package update-notifier version 3.160

858. By Steve Langasek on 2015-04-06

Migrate fully from python2 to python3 now that python3-debian is
available in the archive. In the process, we drop most of the
python-related dependencies from the update-notifier package, since it
contains no python code; these are included only to support
backend_helper.py, which is shipped in update-notifier-common, not in
update-notifier for reasons that are not clear. For now keep the
package split unchanged pending further investigation. LP: #1440683.

859. By Steve Langasek on 2015-04-06

More python3 compat fixes

860. By Steve Langasek on 2015-06-04

releasing package update-notifier version 3.161

861. By Brian Murray on 2015-08-12

Initialize l10n for the distro-cd-updater binary. Thanks to Gabor Kelemen
for the patch. (LP: #1478249)

862. By Brian Murray on 2015-08-12

Merge branch fixing translation for system crash notifier.

863. By Brian Murray on 2015-08-12

Switch from using PACKAGE to GETTEXT_PACKAGE in avahi and update-notifier binaries.

864. By Brian Murray on 2015-08-12

releasing package update-notifier version 3.162

865. By Iain Lane on 2015-09-17

Merge lp:~kelemeng/update-notifier/bug1493208 to get translated messages in 'avahi' too

866. By Iain Lane on 2015-09-17

releasing package update-notifier version 3.163

867. By Martin Pitt on 2015-11-13

* debian/90-updates-available
  - Now directly prints the cached info if available
    => avoid login stalls due to motd updates (LP: #525674)
  - Also fixes a former potential issue of existing but not readable cached
    info by changing the test from -e to -r
* debian/99update-notifier:
  - Now additionally triggers the an asynchronous background update of the
    cached info via update-motd-updates-available hooking into
    APT::Update::Post-Invoke-Success.
* data/update-motd-updates-available:
  - This now only contains the slow part of actually 'updating the cached
    info'.
  - It executes asynchronously to avoid stalling apt-get update.
  - The file is no more called by pam to avoid login stalls.
  - It also fixes an issue with concurrent updates clobbering the
    cached file via mv being atomic

868. By Martin Pitt on 2015-11-13

releasing package update-notifier version 3.164

869. By Brian Murray on 2016-02-10

merge smoser's xenial upload

870. By Brian Murray on 2016-02-10

data/apt_check.py: resolve crash when running apt-check with
--package-names, thanks to Launchpad user Woody for the fix.
(LP: #1512326)

871. By Brian Murray on 2016-02-10

releasing package update-notifier version 3.166

872. By Adam Conrad on 2016-04-04

* Use mktemp -p in the target directory to avoid a cross-filesystem move.
* Also update motd if the dpkg status database has changed (LP: #1563854)

873. By Dimitri John Ledkov on 2016-04-12

Also update motd, at the end of Dpkg-Post run, properly counting how
many things are left to update, rather than assuming that all updates
were applied, as was done in previous release series. LP: #1558270

874. By Sebastien Bacher on 2016-05-25

don't use the logs ctime information to decide if update-manager
needs to be started, the log rotation updates that one which means it's
never getting older than a week and the updater not started

875. By Sebastien Bacher on 2016-06-29

src/update.c:
don't use the logs ctime information to decide if update-manager needs
to be started, the log rotation updates that one which means it's
never getting older than a week and the updater not started
(lp: #356152)

876. By Sebastien Bacher on 2016-06-29

releasing package update-notifier version 3.169

877. By Brian Murray on 2016-07-11

data/apt_check.py: use pkg.get_fullname() instead of pkg.name so that
architectures appear in package names, thanks to Bill Scales for the
patch. (LP: #1597537)

878. By Brian Murray on 2016-07-11

releasing package update-notifier version 3.170

879. By Sebastien Bacher on 2016-07-20

* debian/update-notifier-cds.conf:
  - use a valid variable to get the device name

880. By Sebastien Bacher on 2016-07-20

* debian/systemd, debian/update-notifier.install,links,crash:
  - convert the crash, unicast and release jobs to systemd

881. By Sebastien Bacher on 2016-07-20

* debian/systemd/update-notifier-cds.override,
  debian/systemd/update-notifier-hp-firmware.override,
  debian/update-notifier.install:
  - disable the cd-upgrade and hp-firware jobs under systemd,
    they are not important and need more work

882. By Sebastien Bacher on 2016-07-20

releasing package update-notifier version 3.171

883. By Brian Murray on 2016-08-05

add support for the HWE End-of-Life notification via
motd.

884. By Brian Murray on 2016-08-05

releasing package update-notifier version 3.172

885. By Brian Murray on 2016-08-05

make hwe files executable

886. By Brian Murray on 2016-09-16

resolve failure with test_wrong_template_translations

887. By Brian Murray on 2016-09-20

* data/package-data-downloader:
  - handle different failure modes better thanks to Launchpad user AtesComp
    for the detective work and patch. (LP: #1621629)
* tests/test_pacakge-data-downloader.py:
  - add tests for process_download_requests function
  - add test for a hook file aging out
  - resolve test failure with test_wrong_template_translation

888. By Brian Murray on 2016-09-21

releasing package update-notifier version 3.173

889. By Brian Murray on 2016-09-28

* debian/tests/control:
  - Allow stderr output as apt-helper even uses it for success.

890. By Brian Murray on 2016-10-07

releasing package update-notifier version 3.174

891. By Brian Murray on 2016-10-07

* data/package-data-downloader:
  - a stampfile is an indication of success, so don't try to process it
    again.
* tests/test_package-data-downloader.py:
  - add a test for the case where there are multiple hook files and only one
    of them has failed.

892. By Brian Murray on 2016-10-07

releasing package update-notifier version 3.175

893. By Brian Murray on 2016-11-10

data/package-data-downloader: Be resilient and do not crash when we can
not print information about what is happening. (LP: #1640318)

894. By Brian Murray on 2016-11-10

releasing package update-notifier version 3.176

895. By Marco Trevisan (Treviño) on 2016-11-24

test_pyflakes: fix pep8 style failure

E305 expected 2 blank lines after class or function definition, found 1.

896. By Iain Lane on 2016-11-24

releasing package update-notifier version 3.177

897. By Brian Murray on 2016-11-30

HOOKS: fix some typos

898. By Brian Murray on 2016-12-07

clean up the fix for bug 1640318 by passing on any OSError

899. By Brian Murray on 2016-12-08

there is no need to save the OSError

900. By Brian Murray on 2017-03-14

Switch to using a 64 bit integer for launch-time as update-manager also
did. (LP: #1654008)

901. By Brian Murray on 2017-03-14

releasing package update-notifier version 3.178

902. By Brian Murray on 2017-03-14

debian/control: bump the depends on update-manager one more version as
17.04.2 doesn't have the change for the 64 bit integer.

903. By Brian Murray on 2017-03-14

releasing package update-notifier version 3.179

904. By Didier Roche on 2017-06-21

* Fix autopkgtest pep8 new error in artful:
  - E722 do not use bare except

905. By Didier Roche on 2017-06-21

releasing package update-notifier version 3.180

906. By Sebastien Bacher on 2017-07-10

releasing package update-notifier version 3.181

907. By Sebastien Bacher on 2017-07-10

releasing package update-notifier version 3.181.1

908. By Sebastien Bacher on 2017-07-10

Clear out the autotools changes from the previous upload which were
due to a miss-uses of the vcs, fixes the buid.

909. By Sebastien Bacher on 2017-07-10

releasing package update-notifier version 3.183

910. By Brian Murray on 2017-08-25

Merge Andrea Azzarone's Canonical Livepatch support

911. By Brian Murray on 2017-08-25

Add support to update-notifier to notify about the status of Canonical's
Livepatch service, thanks to Andrea Azzarone. (LP: #1712331)

912. By Brian Murray on 2017-08-25

releasing package update-notifier version 3.184

913. By Brian Murray on 2017-09-05

src/livepatch.c: Use ngettext to correctly handle the plural form, thanks
to Andrea Azzarone for the patch.

914. By Brian Murray on 2017-09-05

releasing package update-notifier version 3.185

915. By Sebastien Bacher on 2017-09-06

* src/clipboard.c, src/update-notifier.c, src/Makefile.am:
  - don't use the xorg clipboard to do single instance, that doesn't work
    under wayland, replace it with a file lock (lp: #1697381)

916. By Sebastien Bacher on 2017-09-06

src/crash.c: don't prompt about system reports under wayland, pkexec
doesn't work there

917. By Sebastien Bacher on 2017-09-06

releasing package update-notifier version 3.186

918. By Brian Murray on 2017-09-29

Merge seb128's branch fixing gsettings-data-convert crash.

919. By Steve Langasek on 2017-11-13

Depend on the new python3-debconf package instead of debconf.
LP: #1731334.

920. By Steve Langasek on 2017-11-13

releasing package update-notifier version 3.187

921. By Steve Langasek on 2017-11-13

Also add python3-debconf as a build-dependency.

922. By Steve Langasek on 2017-11-13

releasing package update-notifier version 3.188

923. By Julian Andres Klode on 2018-04-09

releasing package update-notifier version 3.189

924. By Julian Andres Klode on 2018-04-09

Add missing build-dependency on dh-python

925. By Julian Andres Klode on 2018-04-09

releasing package update-notifier version 3.190

926. By Andrea Azzarone on 2018-04-18

Manually monitor the livepatch status file using GFileMonitor.

927. By Iain Lane on 2018-04-18

releasing package update-notifier version 3.191

928. By Brian Murray on 2018-04-20

restore update-notifier code to check for whether or not a release upgrade
is available. (LP: #1765485)

929. By Brian Murray on 2018-04-20

releasing package update-notifier version 3.192

930. By Brian Murray on 2018-05-04

releasing package update-notifier version 3.192.1

931. By LocutusOfBorg on 2018-05-09

Switch to debhelper and compat 11, switch to libayatana-appindicator

932. By LocutusOfBorg on 2018-05-09

Fix build failure due to autoreconfing, force no multiarch

933. By Julian Andres Klode on 2018-05-25

package-data-downloader: Only print processing messages if we
should download stuff, or if an expected exception occured
(LP: #1641671)

934. By Julian Andres Klode on 2018-05-25

releasing package update-notifier version 3.192.4

935. By Julian Andres Klode on 2018-05-29

Fix PEP8 errors

936. By Julian Andres Klode on 2018-05-29

releasing package update-notifier version 3.192.5

937. By Didier Roche on 2018-06-27

Only show apport UI if whoopsie is not in auto or never reporting mode.
(LP: #1778697)

938. By Didier Roche on 2018-06-27

Ensure that when we move to systemd user session, we don't regress
as well, taking into account the case where whoopsie isn't installed
either.

939. By Didier Roche on 2018-06-27

releasing package update-notifier version 3.192.6

940. By Didier Roche on 2018-07-02

* Use absolute patch when testing if whoopsie service is enabled.
* Add some debug messages

941. By Didier Roche on 2018-07-02

releasing package update-notifier version 3.192.7

942. By Didier Roche on 2018-07-02

Merge typo fix

Unmerged revisions

942. By Didier Roche on 2018-07-02

Merge typo fix

941. By Didier Roche on 2018-07-02

releasing package update-notifier version 3.192.7

940. By Didier Roche on 2018-07-02

* Use absolute patch when testing if whoopsie service is enabled.
* Add some debug messages

939. By Didier Roche on 2018-06-27

releasing package update-notifier version 3.192.6

938. By Didier Roche on 2018-06-27

Ensure that when we move to systemd user session, we don't regress
as well, taking into account the case where whoopsie isn't installed
either.

937. By Didier Roche on 2018-06-27

Only show apport UI if whoopsie is not in auto or never reporting mode.
(LP: #1778697)

936. By Julian Andres Klode on 2018-05-29

releasing package update-notifier version 3.192.5

935. By Julian Andres Klode on 2018-05-29

Fix PEP8 errors

934. By Julian Andres Klode on 2018-05-25

releasing package update-notifier version 3.192.4

933. By Julian Andres Klode on 2018-05-25

package-data-downloader: Only print processing messages if we
should download stuff, or if an expected exception occured
(LP: #1641671)

Preview Diff

Empty

Subscribers

People subscribed via source and target branches

to all changes: